Subject: Re: bug#41634: 'timeout' returning 124 and 133

From: Jonny Grant <[email-masked]>
Date: Sun, 7 Jun 2020 17:04:37 +0100

On 07/06/2020 13:39, Bernhard Voelker wrote:
> On 2020-06-06 23:49, Jonny Grant wrote:
>> Great patch.
> 
> thanks, Padraig meanwhile further improved it.
> 
>> How about writing signal 9 by the name, ie $ kill -s KILL
>> likewise $ kill -s TERM
> 
> Where do you mean?
> 
> Have a nice day,
> Berny
> 

Hi Berny

Sorry I was meaning to give an example of a shell command to send KILL, but maybe it's not necessary.

BTW, I saw the patch was applied. Great it's improved

I saw this new line is clearer:
"Upon timeout, send the TERM signal to COMMAND, if no other SIGNAL specified."

However, I thought even clearer is this variation :-
"Upon timeout, if no SIGNAL specified by --signal, send the TERM signal to COMMAND."

May I ask, do these texinfo changes also go into the man page?

This is the man page 8.32, and it doesn't match the html manual
https://www.man7.org/linux/man-pages/man1/timeout.1.html

I'm looking at the generated html manual:
https://www.gnu.org/software/coreutils/manual/coreutils.html#timeout-invocation

I don't know if these html pages can be updated to show the coreutil version on them at all at the top oand bottom?

Could an example be given on the man page and manual?

=======
EXAMPLE

The command below gives an example to demonstrate the use of this, sending HUP  signal after 5 seconds, and sending the 
KILL signal after 10 seconds if 'ls' has not finished.
     $ timeout -k 10s -s HUP 5s ls
=======

My last question

There is -k, it would be clearer if it was possible to specify -t or --timeout,
"$ timeout -k 11s 6s ls"   This always looks ambiguous to me, but the 11s is the KILL, and the 6s is the regular TERM 
signal.

Would you consider supporting a -t ?
So then we could write
"$ timeout -t 6s -k 11s ls"

or even
"$ timeout --timeout=6s --kill-after=11s ls"

Cheers
Jonny